# purefa_phonehome – Enable or Disable Pure Storage FlashArray Phonehome

New in version 2.9.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Status

## Synopsis

- Enable or Disable Phonehome for a Pure Storage FlashArray.

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.7
- purestorage

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_token string / required |  | FlashArray API token for admin privileged user.
fa_url string / required |  | FlashArray management IPv4 address or Hostname.

state
string

Choices:
- present ←
- absent

Define state of phonehome

## Notes

Note

- This module requires the `purestorage` Python library
- You must set `PUREFA_URL` and `PUREFA_API` environment variables if fa_url and api_token arguments are not passed to the module directly

## Examples

    - name: Enable Phonehome
      purefa_phonehome:
        fa_url: 10.10.10.2
        api_token: e31060a7-21fc-e277-6240-25983c6c4592

    - name: Disable Phonehome
      purefa_phonehome:
        state: disable
        fa_url: 10.10.10.2
        api_token: e31060a7-21fc-e277-6240-25983c6c4592

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Pure Storage Ansible Team (@sdodsley) <pure-ansible-team@purestorage.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.